Passer au contenu

Get a signature layout

Requête

Returns the full configuration of a signature layout of the specified organization: the fields shown in the signature appearance and the optional image. In the response, localTimezone is always set and timezone is null when localTimezone is true.

Sécurité
Bearer or PersonalAccessToken
Chemin
organizationIdstring, (uuid)obligatoire

Unique identifier of the organization

layoutIdstring, (uuid)obligatoire
GET
/api/v1/organizations/{organizationId}/settings/signature/layouts/{layoutId}
curl -i -X GET \
  '/api/v1/organizations/{organizationId}/settings/signature/layouts/{layoutId}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Réponses

OK

Corpsapplication/json
idstring, (uuid)obligatoire

The signature layout identifier.

namestringobligatoire

The unique name of the signature layout.

fieldsobject(SignatureLayoutFields)obligatoire

The configuration of the fields shown in the signature appearance.

imageobject(SignatureLayoutImage)

The image of the signature appearance.

Réponse
{ "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "name": "compact-layout", "fields": { "signerName": { … }, "signerEmail": { … }, "ipAddress": { … }, "reason": { … }, "dateTime": { … }, "customText": { … } }, "image": null }